---
title: font-smooth
slug: Web/CSS/font-smooth
tags:
  - CSS
  - CSS Property
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{ CSSRef }} {{ Non-standard_header }}</div>

<p>The <strong><code>font-smooth</code></strong> <a href="/en/CSS" title="CSS">CSS</a> property controls the application of anti-aliasing when fonts are rendered.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css notranslate">/* Keyword values */
font-smooth: auto;
font-smooth: never;
font-smooth: always;

/* &lt;length&gt; value */
font-smooth: 2em;
</pre>

<div class="note">
<p><strong>WebKit</strong> implements a similar property, but with different values: <strong><code>-webkit-font-smoothing</code></strong>. It only works on Mac OS X/macOS.</p>

<ul>
 <li><code>auto</code> - Let the browser decide (Uses subpixel anti-aliasing when available; this is the default)</li>
 <li><code>none</code> - Turn font smoothing off; display text with jagged sharp edges.</li>
 <li><code>antialiased</code> - Smooth the font on the level of the pixel, as opposed to the subpixel. Switching from subpixel rendering to antialiasing for light text on dark backgrounds makes it look lighter.</li>
 <li><code>subpixel-antialiased</code> - On most non-retina displays, this will give the sharpest text.</li>
</ul>
</div>

<div class="note">
<p><strong>Firefox</strong> implements a similar property, but with different values: <strong><code>-moz-osx-font-smoothing</code></strong>. It only works on Mac OS X/macOS.</p>

<ul>
 <li><code>auto</code> - Allow the browser to select an optimization for font smoothing, typically <code>grayscale</code>.</li>
 <li><code>grayscale</code> - Render text with grayscale antialiasing, as opposed to the subpixel. Switching from subpixel rendering to antialiasing for light text on dark backgrounds makes it look lighter.</li>
</ul>
</div>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_usage_example">Basic usage example</h3>

<p>The following example shows the Safari/Chromium and Firefox equivalents that turn on font-smoothing on macOS. In both cases the smoothed font should look slightly lighter in weight.</p>

<p>For those of you not on a macOS system, here is a screenshot (the live version appears later on):</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/17370/smoothing.png" style="height: 518px; width: 1254px;"></p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;Without font smoothing&lt;/p&gt;

&lt;p class="smoothed"&gt;With font smoothing&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">html {
  background-color: black;
  color: white;
  font-size: 3rem;
}

p {
  text-align: center;
}

.smoothed {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Basic_usage_example', '100%', 260)}}</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.font-smooth")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="http://usabilitypost.com/2012/11/05/stop-fixing-font-smoothing/">Please Stop "Fixing" Font Smoothing – UsabilityPost</a></li>
 <li><a href="https://www.zachleat.com/web/font-smooth/">Laissez-faire font smoothing and anti-aliasing</a></li>
</ul>
